Summary: Displays who is logged in to local network machines
Name: myrwho
Version: 0.17
Release: 34%{?dist}
License: BSD
Group: System Environment/Daemons
Source: ftp://ftp.uk.linux.org/pub/linux/Networking/netkit/netkit-myrwho-%{version}.tar.gz
Source1: myrwhod.init
Patch0: netkit-myrwho-0.15-alpha.patch
Patch1: netkit-myrwho-0.17-bug22014.patch
Patch2: myrwho-0.17-fixbcast.patch
Patch3: myrwho-0.17-fixhostname.patch
Patch4: netkit-myrwho-0.17-strip.patch
Patch5: netkit-myrwho-0.17-include.patch
Patch6: netkit-myrwho-0.17-wd_we.patch
Patch7: netkit-myrwho-0.17-time.patch
Patch8: netkit-myrwho-0.17-gcc4.patch
Patch9: netkit-myrwho-0.17-waitchild.patch
Requires: /sbin/chkconfig /etc/init.d
BuildRoot: %{_tmppath}/%{name}-root

%description
The myrwho command displays output similar to the output of the who
command (it shows who is logged in) for all machines on the local
network running the myrwho daemon.

Install the myrwho command if you need to keep track of the users who
are logged in to your local network.

%prep
%setup -q -n netkit-myrwho-%{version}
%patch0 -p1 -b .alpha
%patch1 -p1 -b .bug22014
%patch2 -p1 -b .fixbcast
%patch3 -p1 -b .fixhostname
%patch4 -p1 -b .strip
%patch5 -p1 -b .include
%patch6 -p1 -b .wd_we
%patch7 -p1 -b .time
%patch8 -p1 -b .gcc4
%patch9 -p1 -b .waitchild

%build
sh configure --with-c-compiler=gcc
%ifarch s390 s390x
%{__perl} -pi -e '
    s,^CC=.*$,CC=cc,;
    s,-O2,\$(RPM_OPT_FLAGS) -I../include -fPIC,;
    s,^LDFLAGS=,LDFLAGS=-pie,;
    s,^BINDIR=.*$,BINDIR=%{_bindir},;
    s,^MANDIR=.*$,MANDIR=%{_mandir},;
    s,^SBINDIR=.*$,SBINDIR=%{_sbindir},;
    ' MCONFIG
%else
%{__perl} -pi -e '
    s,^CC=.*$,CC=cc,;
    s,-O2,\$(RPM_OPT_FLAGS) -I../include -fpic,;
    s,^LDFLAGS=,LDFLAGS=-pie,;
    s,^BINDIR=.*$,BINDIR=%{_bindir},;
    s,^MANDIR=.*$,MANDIR=%{_mandir},;
    s,^SBINDIR=.*$,SBINDIR=%{_sbindir},;
    ' MCONFIG
%endif
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man{1,8}
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/init.d
mkdir -p ${RPM_BUILD_ROOT}/var/spool/myrwho

make INSTALLROOT=${RPM_BUILD_ROOT} install
install -m 755 %SOURCE1 ${RPM_BUILD_ROOT}/etc/rc.d/init.d/myrwhod
rm -f ${RPM_BUILD_ROOT}/usr/bin/ruptime
rm -f ${RPM_BUILD_ROOT}/usr/share/man/man1/ruptime.1

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/chkconfig --add myrwhod

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del myrwhod
fi

%files
%defattr(-,root,root)
%doc README
%{_sbindir}/myrwhod
%{_mandir}/man8/myrwhod.8*
/var/spool/myrwho
%{_initrddir}/myrwhod
%{_bindir}/myrwho
%{_mandir}/man1/myrwho.1*

%changelog
* Tue Nov 27 2012 Dan Walsh <dwalsh@redhat.com> - 0.17-34
- transformed version of rwho package to be used as example of how to write
- SELinux Policy.
